We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback


Overview

Angular Spline Chart connects data points with smooth lines. It uses numeric, category, date-time, and logarithmic axes to plot data.


Multi series

Allows you to plot multiple series in a single chart to compare different data sets. Enabling legend and tooltip gives more information about the individual series.


Marker

Mark data points with built-in shapes: circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the points more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by a given angle.


Multiple axes

Use multiple axes to plot different data sets that vary widely from each other.


Zoom and pan

Enable zooming and panning when dealing with large amounts of data to focus on particular ranges.


Dynamic spline chart

Create and update the spline chart with live data that changes in seconds or minutes.


Empty/null data point

Handle missing data elegantly with empty points support.


Vertical chart

The Angular Spline Chart can be transposed vertically to view the data from a different perspective.


Customization

Customize the color, thickness, and dash array of the spline chart using built-in APIs.


Angular Spline Chart Code Example

Easily get started with Angular Spline using a few simple lines of JS code, as demonstrated below. Also explore our Angular Spline Chart Example that shows you how to render and configure the spline chart component.

<ejs-chart style='display:block' id='chartcontainer'  [primaryXAxis]='primaryXAxis'>
<e-series-collection>
    <e-series [dataSource]='data' type='Spline' xName='x' yName='y'> </e-series>    
</e-series-collection>
</ejs-chart>
//app.component.ts

import { Component } from '@angular/core';
export class AppComponent {
  public data: Object[] = [
                { x: 'Sun', y: 15 }, { x: 'Mon', y: 22 },
                { x: 'Tue', y: 32 },
                { x: 'Wed', y: 31 },
                { x: 'Thu', y: 29 }, { x: 'Fri', y: 24 },
                { x: 'Sat', y: 18 },
            ];
 
//Initializing Primary X Axis
public primaryXAxis: Object = {
    valueType: 'Category',
     
};
}

//app.module.ts

import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { SplineSeriesService, CategoryService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule, ChartModule
  ],
  providers: [ SplineSeriesService, CategoryService],
  bootstrap: [AppComponent]
})
export class AppModule { }

Learning Resources

UG

Spline Chart User Guide

Learn the available options to customize Angular Spline Chart.

API

Spline Chart API Reference

Explore the Angular Spline Chart APIs.


90+ ANGULAR UI COMPONENTS

Scroll up icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback


Overview

React Spline Chart connects data points with smooth lines. It uses numeric, category, date-time, and logarithmic axes to plot data.


Multi series

Allows you to plot multiple series in a single chart to compare different data sets. Enabling legend and tooltip gives more information about the individual series.


Marker

Mark data points with built-in shapes: circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the points more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by a given angle.


Multiple axes

Use multiple axes to plot different data sets that vary widely from each other.


Zoom and pan

Enable zooming and panning when dealing with large amounts of data to focus on particular ranges.


Dynamic spline chart

Create and update the spline chart with live data that changes in seconds or minutes.


Empty/null data point

Handle missing data elegantly with empty points support.


Vertical chart

The React Spline Chart can be transposed vertically to view the data from a different perspective.


Customization

Customize the color, thickness, and dash array of the spline chart using built-in APIs.


React Spline Chart Code Example

Easily get started with React Spline using a few simple lines of JS code, as demonstrated below. Also explore our React Spline Chart Example that shows you how to render and configure the spline chart component.

import {AxisModel,Category,ChartComponent,Inject,SeriesCollectionDirective, SeriesDirective, SplineSeries} from'@syncfusion/ej2-react-charts';
import * as React from 'react';
class App extends React.Component<{}, {}> {
  public primaryXAxis: AxisModel = { valueType: 'Category'};
  public data: any[]= [
    { x: 'Sun', y: 15 }, { x: 'Mon', y: 22 },
    { x: 'Tue', y: 32 },
    { x: 'Wed', y: 31 },
    { x: 'Thu', y: 29 }, { x: 'Fri', y: 24 },
    { x: 'Sat', y: 18 },
];
  public render() {
    return <ChartComponent id='charts' primaryXAxis={this.primaryXAxis}>
      <Inject services={[SplineSeries, Category]} />
      <SeriesCollectionDirective>
      <SeriesDirective dataSource={this.data} xName='x' yName='y' type='Spline'/>
      </SeriesCollectionDirective>
    </ChartComponent>
  }
};
ReactDOM.render(
  <App />,
  document.getElementById('charts') as HTMLElement
);
<!DOCTYPE html>
<html>

<body> 
     <div id="charts"></div>
</body>

</html>

Learning Resources

UG

Spline Chart User Guide

Learn the available options to customize React spline chart.

API

Spline Chart API Reference

Explore the React spline chart APIs.


90+ REACT UI COMPONENTS

Scroll up icon